#ifndef _74HC595_H
#define	_74HC595_H
//------------------------------------------------------------------------------
#include "Soft_SPI.h"
#include "74HC595_Protoypes.h"
//-------------------------First In First Out Send-------------------------------
void ShiftReg_FIFOSend(char text[],char digit[])
{
  int size = strlen(text);
  
  CS = 0;
  
  while(size)
  {
    char indx = text[--size] - 48;  //48 Decimal is 0 in ASCII
    SPI_write( digit[indx] );
  }
  
  CS = 1; 
}
//--------------------------Last In First Out Send-----------------------------
void ShiftReg_LIFOSend(char text[],char digit[])
{
  CS = 0;
  
  while(*text)
  {
    char indx = *text++ - 48;  
    SPI_write( digit[indx] );
  }
  
  CS = 1; 
}
//------------------------------------------------------------------------------
#endif	